package com.iamberry.wechat.core.entity.welfare;

import java.io.Serializable;

/**
 * @author 献
 */
public class UserAmount implements Serializable {

    private Integer amountId;

    private String userOpenid;

    private Integer amonutUsable;

    private Integer amonutAwait;

    private Integer amonutTotal;

    private Integer amonutLock;

    public Integer getAmountId() {
        return amountId;
    }

    public void setAmountId(Integer amountId) {
        this.amountId = amountId;
    }

    public String getUserOpenid() {
        return userOpenid;
    }

    public void setUserOpenid(String userOpenid) {
        this.userOpenid = userOpenid == null ? null : userOpenid.trim();
    }

    public Integer getAmonutUsable() {
        return amonutUsable;
    }

    public void setAmonutUsable(Integer amonutUsable) {
        this.amonutUsable = amonutUsable;
    }

    public Integer getAmonutAwait() {
        return amonutAwait;
    }

    public void setAmonutAwait(Integer amonutAwait) {
        this.amonutAwait = amonutAwait;
    }

    public Integer getAmonutTotal() {
        return amonutTotal;
    }

    public void setAmonutTotal(Integer amonutTotal) {
        this.amonutTotal = amonutTotal;
    }

    public Integer getAmonutLock() {
        return amonutLock;
    }

    public void setAmonutLock(Integer amonutLock) {
        this.amonutLock = amonutLock;
    }
}